## org.springframework.beans.factory.support
Interface SecurityContextProvider

All Known Implementing Classes:
  SimpleSecurityContextProvider

    public interface SecurityContextProvider

Provider of the security context of the code running inside the bean factory.

Since:
  3.0
Author:
  Costin Leau

Method Summary
`AccessControlContext` `getAccessControlContext()` Provides a security access control context relevant to a bean factory.

Method Detail

### getAccessControlContext

    AccessControlContext getAccessControlContext()

  Provides a security access control context relevant to a bean factory.

  Returns:
    bean factory security control context